=== debian/changelog ===
ayatana-indicator-display (24.1.1-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:34 +1100

ayatana-indicator-display (24.1.1-2) unstable; urgency=medium

  [ Guido Berhörster ]
  * debian/patches:
    + Add 0001_test-segfaulting-on-32bit.patch. Fix test failures/segfault
      on 32bit hardware.
  * debian/control:
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060471).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 15:21:06 +0100

ayatana-indicator-display (24.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2024 12:00:48 +0100

ayatana-indicator-display (24.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop complete usb-manager code, moved over to adbd-approver in Ubuntu
      Touch. (Closes: #1052946).
  * debian/control:
    + Add B-D: libaccountsservice-dev.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 18:39:49 +0100
