## ayatana-indicator-display 24.1.1-0+git20240304.577+12.nightly.1

=== debian/changelog ===
ayatana-indicator-display (24.1.1-0+git20240304.577+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    7eae679a4162e1bc0c50fc7d504f7532ec5fdb3c).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Mon, 04 Mar 2024 15:25:24 +0100

ayatana-indicator-display (24.1.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 24 Feb 2024 11:30:23 +0100

ayatana-indicator-display (24.1.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 26 Dec 2023 12:35:25 +0100

ayatana-indicator-display (23.10.5-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Nov 2023 22:09:07 +0100

ayatana-indicator-display (23.10.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 20 Nov 2023 12:00:03 +0100

ayatana-indicator-display (23.10.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 14 Nov 2023 09:31:24 +0100

ayatana-indicator-display (23.10.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 11 Nov 2023 07:24:47 +0100

ayatana-indicator-display (23.10.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Nov 2023 16:59:53 +0100

ayatana-indicator-display (23.10.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 12 Oct 2023 23:48:08 +0200

ayatana-indicator-display (22.9.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 04 Feb 2023 23:44:04 +0100

ayatana-indicator-display (22.9.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Dec 2022 23:45:23 +0100

ayatana-indicator-display (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Dec 2022 22:00:37 +0100

ayatana-indicator-display (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 02 Oct 2022 12:41:22 +0200

ayatana-indicator-display (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:12:37 +0200

ayatana-indicator-display (22.2.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 20 Jul 2022 23:55:36 +0200

ayatana-indicator-display (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 22:05:36 +0100

ayatana-indicator-display (0.9.0-0) unstable; urgency=medium

  * Fork ayatana-indicator-datetime from Ubuntu's indicator-display.

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 18 Nov 2021 10:45:46 +0100
