=== debian/changelog ===
ayatana-indicator-display (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:00:58 +0200

ayatana-indicator-display (24.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix cppcheck unit tests with cppcheck 2.14 and above. (Closes: #1070455).
  * debian/patches:
    + Drop 0001_test-segfaulting-on-32bit.patch. Applied upstream.
  * debian/control:
    + Assure that xsct >= 1.9 is used, first version with brightness feature.
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Drop unused license texts.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 May 2024 18:56:31 +0200
