## ayatana-indicator-display 24.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project(ayatana-indicator-display VERSION 24.5.0 LANGUAGES C CXX)
+project(ayatana-indicator-display VERSION 24.5.1 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -20,6 +20,7 @@
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 option(ENABLE_COLOR_TEMP "Include colour temperature specific code in the build" ON)
+option(ENABLE_RDA "Enable RDA (remote desktop awareness), only taking effect if built with ENABLE_COLOR_TEMP" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -68,8 +69,13 @@
 set (SERVICE_DEPS libayatana-common>=0.9.3 gio-unix-2.0>=${GLIB_MINIMUM} glib-2.0>=${GLIB_MINIMUM} properties-cpp>=0.0.1)
 
 if (ENABLE_COLOR_TEMP)
-    list (APPEND SERVICE_DEPS libgeoclue-2.0 accountsservice)
+    list (APPEND SERVICE_DEPS libgeoclue-2.0 accountsservice x11 xrandr)
     add_definitions (-DCOLOR_TEMP_ENABLED)
+
+    if (ENABLE_RDA)
+        list (APPEND SERVICE_DEPS rda)
+        add_definitions (-DRDA_ENABLED)
+    endif ()
 endif ()
 
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
@@ -117,3 +123,4 @@
 message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
 message(STATUS "Build with colour temperature code: ${ENABLE_COLOR_TEMP}")
+message(STATUS "Build with remote desktop awareness: ${ENABLE_RDA}")
