=== debian/changelog ===
ayatana-indicator-display (24.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Add to B-D: librda-dev, libxrandr-dev.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 13:05:05 +0100
