=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
                libgudev-1.0-dev,
                libproperties-cpp-dev,
                libgeoclue-2-dev,
+               librda-dev,
+               libxrandr-dev,
 # for coverage reports
                gcovr,
                lcov,
@@ -30,7 +32,7 @@
                debhelper-compat (= 13),
 # for systemd unit
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
