=== debian/changelog ===
ayatana-indicator-display (24.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 22:53:45 +0200
