=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,21 @@
 DEB_CMAKE_EXTRA_FLAGS = \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
+    -DENABLE_LOMIRI_FEATURES=ON \
+    -DENABLE_COLOR_TEMP=ON \
     $(NULL)
 
 %:
-	dh $@ --parallel --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
 
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
